/*
 * DBeaver - Universal Database Manager
 * Copyright (C) 2010-2016 Serge Rieder (serge@jkiss.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (version 2)
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
package org.jkiss.dbeaver.model.impl.data.transformers;

import org.jkiss.dbeaver.model.DBPDataKind;
import org.jkiss.dbeaver.model.data.DBDAttributeBinding;
import org.jkiss.dbeaver.model.impl.struct.AbstractAttribute;
import org.jkiss.dbeaver.model.struct.DBSAttributeBase;

/**
 * TransformerPresentationAttribute
 */
public class TransformerPresentationAttribute extends AbstractAttribute {

    private final DBPDataKind dataKind;

    public TransformerPresentationAttribute(
        DBDAttributeBinding attribute,
        String typeName,
        int typeId,
        DBPDataKind dataKind)
    {
        super(
            attribute.getName(),
            typeName,
            typeId,
            attribute.getOrdinalPosition(),
            attribute.getMaxLength(),
            attribute.getScale(),
            attribute.getPrecision(),
            attribute.isRequired(),
            attribute.isAutoGenerated());
        this.dataKind = dataKind;
    }

    @Override
    public DBPDataKind getDataKind() {
        return dataKind;
    }
}
